Bug 114538 - Various applications crashed at the moment of e-mail notification
Various applications crashed at the moment of e-mail notification
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-01-29 06:50 EST by Kostadin Koruchev
Modified: 2007-03-27 00:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-02 14:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a presentation with 300-400 lines of text (8.55 KB, application/vnd.sun.xml.impress)
2004-11-02 14:40 EST, Caolan McNamara
no flags Details

  None (edit)
Description Kostadin Koruchev 2004-01-29 06:50:13 EST
Description of problem:

When recieving e-mail the application that recieves the keyboard input
chashes due to segmentation-fault exception.
Because it occures 
 exactly when recieveing e-mail,
   only from selected e-mail addresses, 
I suppose that the problem is of the inbox alarm and not of the

Applications most frequentelly crashed:
- Games, for example freecell
- Office applications, for example Presentation Menages, gnumerics etc.
- RealAudio viewer.
No console application crashed. No daemon crashed. No application
without terminal connection crashed.

Version-Release number of selected component (if applicable):

-- Inbox Monitor 1.1

The profile is:

clicked_command=netscape --mailbox

How reproducible:

  Several times a day.
  No general rule.

Steps to Reproduce:

  Something like this:

 0. Put the component on the panel.
 1. Emply the e-mail server.
 2. Start freecell, play a little. 
 3. The focus must be on that window.
 4. Recieve mail (only from determined addresses).

 *  (freecell chash).
    If started from command line produces core.

Actual results:

  Crash of the application as side effect of the execution of the mail

Expected results:

  Application funcioning and not interacting with the panel component.

Additional info:

 core available, mail header available.
Comment 1 Kostadin Koruchev 2004-01-29 06:51:52 EST
Sample core info:

core.14567: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV),
SVR4-style, from 'soffice.bin'

Core was generated by `/usr/lib/openoffice/program/soffice.bin

Program terminated with signal 11, Segmentation fault.

#0  0x400e99ac in SfxItemSet::GetItemState(unsigned short, unsigned
char, SfxPoolItem const**) const () from
(gdb) up
#1  0x4231765d in ContentAttribs::GetItem(unsigned short) ()
   from /usr/lib/openoffice/program/libsvx641li.so
(gdb) up
#2  0x423629a1 in ImpEditEngine::GetAttribs(EditSelection, unsigned
char) ()
   from /usr/lib/openoffice/program/libsvx641li.so
(gdb) up
#3  0x4232062b in EditEngine::GetAttribs(ESelection const&, unsigned
char) ()
   from /usr/lib/openoffice/program/libsvx641li.so
(gdb) up
#4  0x4236af30 in Outliner::ImpCalcBulletFont(unsigned short) const ()
   from /usr/lib/openoffice/program/libsvx641li.so
(gdb) up
#5  0x4236b1d1 in Outliner::PaintBullet(unsigned short, Point const&,
Point const&, short, OutputDevice*) () from
(gdb) up
#6  0x423749a7 in OutlinerEditEng::PaintingFirstLine(unsigned short,
Point const&, long, Point const&, short, OutputDevice*) () from
(gdb) up
(gdb) up
#17 0x4271fa74 in SdrPaintView::InitRedraw(OutputDevice*, Region
const&, unsigned short)
    () from /usr/lib/openoffice/program/libsvx641li.so
(gdb) up
#18 0x4437471e in
() from /usr/lib/openoffice/program/libsd641li.so
(gdb) up
#19 0x443cb8fd in
() from /usr/lib/openoffice/program/libsd641li.so
(gdb) up
#20 0x444f1569 in CreateObjSdGraphicDocShellDll ()
   from /usr/lib/openoffice/program/libsd641li.so
(gdb) up
#21 0x443e9aac in
() from /usr/lib/openoffice/program/libsd641li.so
(gdb) up
#22 0x402ff65a in Window::ImplCallPaint(Region const*, unsigned short) ()
   from /usr/lib/openoffice/program/libvcl641li.so
Sample e-mail header (this e-mail direcion almost always crash the

From - Thu Jan 29 11:28:28 2004
X-UIDL: 1075372195.000
X-Mozilla-Status: 0013
X-Mozilla-Status2: 00000000
Received: from poleo.ti.uam.es (poleo.ti.uam.es [])
	by minerva.ii.uam.es (8.8.8+Sun/8.8.8) with ESMTP id LAA02472
	for <koruchev@minerva.ii.uam.es>; Thu, 29 Jan 2004 11:29:17 +0100 (MET)
Received: from couldina.ti.uam.es (couldina.ti.uam.es [])
	by poleo.ti.uam.es (8.9.3/8.9.3/UAM) with ESMTP id LAA28729
	for <koruchev@minerva.ii.uam.es>; Thu, 29 Jan 2004 11:29:11 +0100 (MET)
Received: from arantxa.ii.uam.es (arantxa.ii.uam.es [])
	by couldina.ti.uam.es (8.12.8/8.11.3/UAM) with ESMTP id i0TAT9Nd024322
	for <koruchev@minerva.ii.uam.es>; Thu, 29 Jan 2004 11:29:09 +0100
Received: from charo.iic.uam.es (charo.iic.uam.es [])
	by arantxa.ii.uam.es (8.8.8+Sun/8.8.8) with ESMTP id LAA17966
	for <kostadin.koruchev@ii.uam.es>; Thu, 29 Jan 2004 11:33:59 GMT
Received: from ZEUS.iic.uam.es (unknown [])
	by charo.iic.uam.es (Postfix/MJ-1.08) with ESMTP id 19883F6993
	for <kostadin.koruchev@ii.uam.es>; Thu, 29 Jan 2004 11:29:08 +0100 (CET)
Message-Id: <>
X-Sender: jose.dorronsoro@localhost (Unverified)
X-Mailer: QUALCOMM Windows Eudora Version
Date: Thu, 29 Jan 2004 11:29:01 +0100
To: Kostadin <kostadin.koruchev@ii.uam.es>
X-UIDL: 1075372195.000
From: =?iso-8859-1?Q?Jos=E9?= Dorronsoro <jose.dorronsoro@iic.uam.es>
Subject: Re: 
In-Reply-To: <4018DAE9.2020304@ii.uam.es>
References: <>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"; format=flowed
Content-Transfer-Encoding: 8bit
X-MIME-Autoconverted: from quoted-printable to 8bit by
minerva.ii.uam.es id LAA02472
Status: U

..... text (no attach no strange things) .....
(these are <CR><LF><CR><LF> several times)

Comment 2 Leonard den Ottolander 2004-02-26 08:50:57 EST
Can you still reproduce this behaviour? Please attach (don't inline)
full crash dumps for (at least) two different applications.

I don't think this is a gnome-panel issue. More likely some gnome library.
Comment 3 Mark McLoughlin 2004-02-27 11:37:06 EST
Hmm, this is openoffice crashing here, so the bug should be logged
against openoffice.

Even if the mailcheck applet is somehow causing this, the openoffice
people will have a better idea of how this is happening.
Comment 4 Dan Williams 2004-03-17 15:41:04 EST
Not really...  OOo is crashing during a redraw.  Reporter, is there
any way you could get more backtraces and attach them here?
Comment 5 Kostadin Koruchev 2004-03-29 06:12:10 EST
It is possible to reproduce the bug. 
Just take long text (table of content of 300-400 lines) and put it in
a single slide in the presentation manager of OpenOffice.
Then edit a little bit the text.
When executing another gnome program the oepnoffice program crashes.
Well, at least with the original RedHat 9.0 version.
Comment 6 Caolan McNamara 2004-11-02 14:40:23 EST
Created attachment 106084 [details]
a presentation with 300-400 lines of text

The stack mentions PaintBullet which implies that there was an issue with
rendering a particular bullet character, rather than a general issue of
rendering normal text. I can't imagine that running another gnome application
could really have an effect on OOo. Though it could very well have been the
case that the crash happened when OOo redrew the window, e.g. if you minimized
OOo and maximized it later. 

Anyway, editing e.g. the attached example and doing stuff like running gnome
applications, forcing redraws etc, fails to reproduce the bug in FC3 with
openoffice.org 1.1.2-10. So it may be fixed with OOo 1.1.2.

It could have been an issue with a specific font or language, or someother
document setting, so if you can reproduce it with a contemporary openoffice.org
and Fedora feel free to reopen the issue and attach a sample document which is
known to cause the problem when edited or otherwise manipulated.

Note You need to log in before you can comment on or make changes to this bug.